Subject: Re: Case-sensitive - Was: Hex versus Decimal Numbers

From: Brian Rosen <[email-masked]>
Date: Fri, 29 Oct 1999 16:10:37 -0400

I believe the intention is that the entire protocol is not case sensitive,
no exceptions.

Others may disagree.  We surely need to say one way or the other in Annex B.

Brian

> -----Original Message-----
> From: Al Varney [mailto:[email-masked]]
> Sent: Friday, October 29, 1999 4:05 PM
> To: Brian Rosen
> Subject: Case-sensitive - Was: Hex versus Decimal Numbers
>
>
> Brian and Jon Steer,
>
> At 15:14 10/29/1999 -0400, Brian Rosen wrote:
> >I think you are correct, and we should make this change.
>
>     Maybe you two could answer some dumb questions.  MGCP spec
> specifically said (at least for Verbs and Events) that
> text-comparisons
> were case-insensitive.  [ "glinesup/onhook" and "glinesup/OnHook" are
> identical. ]
>
>    Is this the intent in Annex B?  (It's not stated.  If nothing else,
> you could add a note to the NAME definition.)
>
>    The MGCP spec also specifies the case-insensitive treatment on an
> object-by-object basis.  That is, Verbs are noted as case-insensitive
> in one place, Events are noted as case-insensitive in another, etc.
> It's not obvious if EVERYTHING is case-insensitive (URLs,
> Domain Names,
> etc.), or just those objects described that way in the
>
>    So another question (or thought experiment) is:  If I converted any
> text-based command to both all-UPPER-CASE and all-LOWER-CASE (prior to
> parsing), would the resulting commands both work?  If not, which items
> (URLs, parameters to packages, SDP contents, etc.) are allowed to be
> NON-case-insensitive?
>
>    Finally, if some places are case-sensitive, how does one test that
> an implementation isn't case-sensitive in an inappropriate place?
>
>
> Al Varney - Lucent Technologies  +1 630 224-7493    [email-masked]
>

---

From: Jon Steer <[email-masked]>
Date: Fri, 29 Oct 1999 16:29:51 -0400

>I believe the intention is that the entire protocol is not case sensitive,

I agree that that is the intent.

> > parsing), would the resulting commands both work?

However, it's not quite true that you can convert an entire message.
Quoted strings are implied to semantically and syntactically retain their
"caseness".

>If not, which items

  There is a fairly simple test procedure for a MEGACO MGC/MG lexer/parser.
Build a
  small perl/java app that randomly sends combinatorial keywords and tokens
  to MG/MGC. If it doesn't crash, the MG/MGC lexer/parser is adequately
bulletproofed :-)..

  It's a useful test since some cracker is bound to try it anyways.

regards,
jon